### Method

# Phosh Shell set_state

#### Declaration [src]

    void
    phosh_shell_set_state (
      PhoshShell* self,
      PhoshShellStateFlags state,
      gboolean enabled
    )

#### Description [src]

Set the shells state.

#### Parameters

`state`

  Type: `PhoshShellStateFlags`

  The `PhoshShellStateFlags` to set.

`enabled`

  Type: `gboolean`

  `TRUE` to set a shell state, `FALSE` to reset.